 package com.tanpu.feo.feojob.entity;


 import com.baomidou.mybatisplus.annotation.TableName;
import com.tanpu.feo.feojob.entity.base.BaseEntity;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 部门员工关系表Entity
 *
 * @author zejia zj wu 2021年05月18日
 * @version 1.0
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@TableName("department_employee")
public class DepartmentEmployeeEntity extends BaseEntity {

    private static final long serialVersionUID = 1L;
	/** 员工id */
	private String employeeId;
	/** 部门id */
	private String departmentId;
	/** 类型, d负责人, s普通职员 */
	private String type;
	/** 机构id */
	private String orgId;
    /** id 构造器*/
    public DepartmentEmployeeEntity(String id) {
       super.setId(id);
    }
}
